{% extends 'base.html.twig' %}

{% block website %}
    {#<section class="welcome-visual">
        <div class="inner">
            <div class="welcome-visual__list">
                <div class="welcome-visual__column welcome-visual__column_1">
                    <div class="welcome-visual__item welcome-visual__item_1">
                        <div class="welcome-visual__item-inner"><a class="welcome-visual__item-slide" href="{{ path('catalogItem', {'path' : 'slug'}) }}"><img src="{{ asset('assets/img/visual/001.jpg') }}"></a></div>
                    </div>
                </div>
                <div class="welcome-visual__column welcome-visual__column_2">
                    <div class="welcome-visual__item welcome-visual__item_2">
                        <div class="welcome-visual__item-inner"><a class="welcome-visual__item-slide" href="{{ path('catalogItem', {'path' : 'slug'}) }}"><img src="{{ asset('assets/img/visual/002.jpg') }}"></a></div>
                    </div>
                    <div class="welcome-visual__item welcome-visual__item_3">
                        <div class="welcome-visual__item-inner"><a class="welcome-visual__item-slide" href="{{ path('catalogItem', {'path' : 'slug'}) }}"><img src="{{ asset('assets/img/visual/003.jpg') }}"></a></div>
                    </div>
                    <div class="welcome-visual__item welcome-visual__item_4">
                        <div class="welcome-visual__item-inner"><a class="welcome-visual__item-slide" href="{{ path('catalogItem', {'path' : 'slug'}) }}"><img src="https://picsum.photos/id/405/300/300"></a></div>
                    </div>
                </div>
            </div>
        </div>
    </section>#}
    <section class="welcome-call">
        <div class="inner">
            <div class="welcome-call__inner">
                <div class="welcome-call__title">Сувенирный <a href="{{ path('about') }}">промысел</a></div>
                <div class="welcome-call__text">
                    <p>Производственно-коммерческое предприятие традиционных промыслов «Коробейники» с&nbsp;радостью приветствует Вас на&nbsp;нашем сайте.</p>
                    <p>Мы позаботились о&nbsp;том, чтобы Вы&nbsp;могли стать обладателем изделий ручной работы, большинство из&nbsp;которых в&nbsp;единственном экземпляре, по&nbsp;ценам массового производства. Как&nbsp;нам это удалось?</p>
                    <p>Читайте в&nbsp;«<a href="{{ path('article') }}">ПреМудростях</a>»</p>
                </div>
            </div>
        </div>
    </section>
    <div class="inner">
        <hr>
    </div>
    <section class="welcome-feature">
        <div class="inner">
            <div class="welcome-feature__list">
                <div class="welcome-feature__item">
                    <div class="welcome-feature__item-inner">
                        <div class="welcome-feature__item-icon"><img src="{{ asset('assets/img/icons/best-unique.svg') }}"/></div>
                        <div class="welcome-feature__item-title">Уникальный продукт</div>
                        <div class="welcome-feature__item-text">Куклы и&nbsp;сувениры ручной работы</div>
                    </div>
                </div>
                <div class="welcome-feature__item">
                    <div class="welcome-feature__item-inner">
                        <div class="welcome-feature__item-icon"><img src="{{ asset('assets/img/icons/best-seasons.svg') }}"/></div>
                        <div class="welcome-feature__item-title">Сезонные сувениры</div>
                        <div class="welcome-feature__item-text">Сувениры к&nbsp;разныем праздникам и&nbsp;событиям</div>
                    </div>
                </div>
                <div class="welcome-feature__item">
                    <div class="welcome-feature__item-inner">
                        <div class="welcome-feature__item-icon"><img src="{{ asset('assets/img/icons/best-handmade.svg') }}"/></div>
                        <div class="welcome-feature__item-title">Индивидуальный подход</div>
                        <div class="welcome-feature__item-text">Сувениры и подарки на заказ</div>
                    </div>
                </div>
                <div class="welcome-feature__item">
                    <div class="welcome-feature__item-inner">
                        <div class="welcome-feature__item-icon"><img src="{{ asset('assets/img/icons/best-discount.svg') }}"/></div>
                        <div class="welcome-feature__item-title">Скидки</div>
                        <div class="welcome-feature__item-text">Система скидок для&nbsp;оптовых покупателей</div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="inner">
        <hr>
    </div>
    <section class="welcome-category">
        <div class="inner">
            <div class="welcome-category__inner">
                <div class="welcome-category__title">Популярные <a href="{{ path('catalog') }}">категории</a></div>
                <div class="welcome-category__slider">
                    <div class="welcome-category__list">
                        {% for category in categories %}
                            <div class="category-item">
                                <div class="category-item__inner">
                                    <div class="category-item__image">
                                        <a href="{{ path('catalogItem', {'path' : category.id|path}) }}">
                                            {% if category.visualFilename is defined and category.visualFilename is not null %}
                                                <img src="{{ asset('assets/uploads/images/' ~ category.visualFilename|visual) | imagine_filter('medium')}}"/>
                                            {% else %}
                                                <img src="{{ asset('assets/img/cup-2.svg') }}"/>
                                            {% endif %}
                                        </a>
                                    </div>
                                    <div class="category-item__text"><a class="category-item__name" href="{{ path('catalogItem', {'path' : category.id|path}) }}">{{ category.name }}</a></div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="welcome-products">
        <div class="inner">
            <div class="welcome-products__inner">
                <div class="welcome-products__title">Популярные <a href="{{ path('products') }}">сувениры</a></div>
                <div class="product-list">
                    {{ products | raw }}
                </div>
            </div>
        </div>
    </section>
    <div class="inner">
        <hr>
    </div>
    <section class="welcome-articles">
        <div class="inner">
            <div class="welcome-articles__inner">
                <div class="welcome-articles__title">Интересные <a href="{{ path('article') }}">ПреМудрости</a></div>
                <div class="article-list">
                    {{ articles | raw }}
                </div>
            </div>
        </div>
    </section>
{% endblock %}
